Subject: Re: [RFC 7/9] snet: introduce snet_netlink.c and snet_netlink.h

From: Patrick McHardy <[email-masked]>
Date: Wed, 13 Jan 2010 06:36:21 +0100

Samir Bellabes wrote:
> Patrick McHardy <[email-masked]> writes:
> 
>> Samir Bellabes wrote:
>>> +++ b/security/snet/include/snet_netlink.h
>>> +	SNET_A_VERSION,		/* (NLA_U32) the snet protocol version	*/
>> You're using this to check for a "compliant protocol version" below.
>> This shouldn't be needed as any protocol changes need to be done
>> in a compatible fashion.
> 
> what if userspace lib is using a old protocol version ? kernel and
> userspace will use incompatible protocol, which may result in errors.

Any protocol changes need to be done in a compatible fashion once
this is in the upstream kernel, so that case should never happen.

> The idea of this 'version' mecanism is to prevent such
> incompatibilities, even if the userspace is (un)volontary not using the
> good library (which may be the one tagged in the same time as the kernel
> running)